#!/bin/sh
appname=`basename $0 | sed s,\.sh$,,`

dirname=`dirname $0`
tmp="${dirname#?}"

if [ "${dirname%$tmp}" != "/" ]; then
dirname=$PWD/$dirname
fi
sed -i "s@^Icon=.*/@Icon=/@" "$dirname/$appname.desktop"
sed -i "s@^Icon=@Icon=$dirname/@"    "$dirname/$appname.desktop"

LD_LIBRARY_PATH="$dirname":"$dirname/lib":"$dirname/system"
if [ -z "$DISPLAY" ] ; then  export DISPLAY=:0 ; fi
#export FONTCONFIG_PATH="$dirname/system/fonts-conf"
#export QT_DEBUG_PLUGINS=1
#export QT_QPA_PLATFORM=xcb
export LD_LIBRARY_PATH
$dirname/$appname "$@"